View Issue Details

IDProjectCategoryView StatusLast Update
02924Development Otherpublic2009-05-19 13:33
Reporterc_schmitzAssigned ToMazi 
PriorityurgentSeverityminor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.81 
Summary02924: Administration login using a link with one time password
Description

The user table has to be extend by a field with a one-time password.

This field can be set by an outside application. Using the URL the user can login using his username (&user=test&onepass=khjugsdf9g67dfg) and the one time password.
After the user logged in the one-time password is replaced by LimeSurvey with an empty one and so it is made invalid. (Of course it should not be possible to login with an empty one-tim password then). The old login mechanism stays the same.

TagsNo tags attached.

Activities

c_schmitz

c_schmitz

2009-03-05 17:58

administrator   ~07255

If I would implemenet this I would need about 4 hours.

Mazi

Mazi

2009-03-05 18:41

partner   ~07256

Last edited: 2009-03-05 18:43

If I can get some assistance I hope I can cope with this in 4-5 hours.

Mazi

Mazi

2009-03-20 01:59

partner   ~07400

first version is available in the 1.81 branch

Issue History

Date Modified Username Field Change
2009-03-03 14:34 c_schmitz New Issue
2009-03-05 17:58 c_schmitz Note Added: 07255
2009-03-05 18:41 Mazi Note Added: 07256
2009-03-05 18:43 Mazi Note Edited: 07256
2009-03-16 11:19 c_schmitz Priority normal => urgent
2009-03-19 11:44 Mazi Status new => assigned
2009-03-19 11:44 Mazi Assigned To => Mazi
2009-03-20 01:59 Mazi Note Added: 07400
2009-03-20 01:59 Mazi Status assigned => resolved
2009-03-20 01:59 Mazi Fixed in Version => 1.81
2009-03-20 01:59 Mazi Resolution open => fixed
2009-05-19 13:33 Mazi Status resolved => closed